import{s as vt,o as yt,n as Ie}from"../chunks/scheduler.36a0863c.js";import{S as gt,i as jt,g as o,s as c,u as C,A as Mt,h as i,f as t,c as p,j as k,v as w,y as b,k as $,o as v,a as s,w as x,d as _,t as z,x as Z}from"../chunks/index.d0f7a4c4.js";import{T as kt}from"../chunks/Tip.4c7d7eb1.js";import{I as ye}from"../chunks/IconCopyLink.bc5fad79.js";import{C as q}from"../chunks/CodeBlock.69433f87.js";import{F as Ct,M as bt}from"../chunks/Markdown.1d1f160a.js";function wt(J){let l,d='Ricorda, con architettura ci si riferisce allo scheletro del modello e con checkpoint ai pesi di una determinata architettura. Per esempio, <a href="https://huggingface.co/bert-base-uncased" rel="nofollow">BERT</a> è un’architettura, mentre <code>bert-base-uncased</code> è un checkpoint. Modello è un termine generale che può significare sia architettura che checkpoint.';return{c(){l=o("p"),l.innerHTML=d},l(r){l=i(r,"P",{"data-svelte-h":!0}),b(l)!=="svelte-ik763d"&&(l.innerHTML=d)},m(r,u){s(r,l,u)},p:Ie,d(r){r&&t(l)}}}function xt(J){let l,d='Infine, le classi <code>AutoModelFor</code> ti permettono di caricare un modello pre-allenato per un determinato compito (guarda <a href="model_doc/auto">qui</a> per una lista completa di compiti presenti). Per esempio, carica un modello per la classificazione di sequenze con <code>AutoModelForSequenceClassification.from_pretrained()</code>:',r,u,m,f,A="Semplicemente utilizza lo stesso checkpoint per caricare un’architettura per un task differente:",j,y,T,g,E='Generalmente, raccomandiamo di utilizzare la classe <code>AutoTokenizer</code> e la classe <code>AutoModelFor</code> per caricare istanze pre-allenate dei modelli. Questo ti assicurerà di aver caricato la corretta architettura ogni volta. Nel prossimo <a href="preprocessing">tutorial</a>, imparerai come utilizzare il tokenizer, il feature extractor e il processore per elaborare un dataset per il fine-tuning.',M;return u=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),y=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),{c(){l=o("p"),l.innerHTML=d,r=c(),C(u.$$.fragment),m=c(),f=o("p"),f.textContent=A,j=c(),C(y.$$.fragment),T=c(),g=o("p"),g.innerHTML=E},l(a){l=i(a,"P",{"data-svelte-h":!0}),b(l)!=="svelte-mrmc1k"&&(l.innerHTML=d),r=p(a),w(u.$$.fragment,a),m=p(a),f=i(a,"P",{"data-svelte-h":!0}),b(f)!=="svelte-1qkx2d7"&&(f.textContent=A),j=p(a),w(y.$$.fragment,a),T=p(a),g=i(a,"P",{"data-svelte-h":!0}),b(g)!=="svelte-fki7m8"&&(g.innerHTML=E)},m(a,h){s(a,l,h),s(a,r,h),x(u,a,h),s(a,m,h),s(a,f,h),s(a,j,h),x(y,a,h),s(a,T,h),s(a,g,h),M=!0},p:Ie,i(a){M||(_(u.$$.fragment,a),_(y.$$.fragment,a),M=!0)},o(a){z(u.$$.fragment,a),z(y.$$.fragment,a),M=!1},d(a){a&&(t(l),t(r),t(m),t(f),t(j),t(T),t(g)),Z(u,a),Z(y,a)}}}function _t(J){let l,d;return l=new bt({props:{$$slots:{default:[xt]},$$scope:{ctx:J}}}),{c(){C(l.$$.fragment)},l(r){w(l.$$.fragment,r)},m(r,u){x(l,r,u),d=!0},p(r,u){const m={};u&2&&(m.$$scope={dirty:u,ctx:r}),l.$set(m)},i(r){d||(_(l.$$.fragment,r),d=!0)},o(r){z(l.$$.fragment,r),d=!1},d(r){Z(l,r)}}}function zt(J){let l,d='Infine, le classi <code>TFAutoModelFor</code> ti permettono di caricare un modello pre-allenato per un determinato compito (guarda <a href="model_doc/auto">qui</a> per una lista completa di compiti presenti). Per esempio, carica un modello per la classificazione di sequenze con <code>TFAutoModelForSequenceClassification.from_pretrained()</code>:',r,u,m,f,A="Semplicemente utilizza lo stesso checkpoint per caricare un’architettura per un task differente:",j,y,T,g,E='Generalmente, raccomandiamo di utilizzare la classe <code>AutoTokenizer</code> e la classe <code>TFAutoModelFor</code> per caricare istanze pre-allenate dei modelli. Questo ti assicurerà di aver caricato la corretta architettura ogni volta. Nel prossimo <a href="preprocessing">tutorial</a>, imparerai come utilizzare il tokenizer, il feature extractor e il processore per elaborare un dataset per il fine-tuning.',M;return u=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),y=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`}}),{c(){l=o("p"),l.innerHTML=d,r=c(),C(u.$$.fragment),m=c(),f=o("p"),f.textContent=A,j=c(),C(y.$$.fragment),T=c(),g=o("p"),g.innerHTML=E},l(a){l=i(a,"P",{"data-svelte-h":!0}),b(l)!=="svelte-7mu57g"&&(l.innerHTML=d),r=p(a),w(u.$$.fragment,a),m=p(a),f=i(a,"P",{"data-svelte-h":!0}),b(f)!=="svelte-1qkx2d7"&&(f.textContent=A),j=p(a),w(y.$$.fragment,a),T=p(a),g=i(a,"P",{"data-svelte-h":!0}),b(g)!=="svelte-xnnzsy"&&(g.innerHTML=E)},m(a,h){s(a,l,h),s(a,r,h),x(u,a,h),s(a,m,h),s(a,f,h),s(a,j,h),x(y,a,h),s(a,T,h),s(a,g,h),M=!0},p:Ie,i(a){M||(_(u.$$.fragment,a),_(y.$$.fragment,a),M=!0)},o(a){z(u.$$.fragment,a),z(y.$$.fragment,a),M=!1},d(a){a&&(t(l),t(r),t(m),t(f),t(j),t(T),t(g)),Z(u,a),Z(y,a)}}}function Zt(J){let l,d;return l=new bt({props:{$$slots:{default:[zt]},$$scope:{ctx:J}}}),{c(){C(l.$$.fragment)},l(r){w(l.$$.fragment,r)},m(r,u){x(l,r,u),d=!0},p(r,u){const m={};u&2&&(m.$$scope={dirty:u,ctx:r}),l.$set(m)},i(r){d||(_(l.$$.fragment,r),d=!0)},o(r){z(l.$$.fragment,r),d=!1},d(r){Z(l,r)}}}function Tt(J){let l,d,r,u,m,f,A,j,y,T,g="Carica istanze pre-allenate con AutoClass",E,M,a="Con così tante architetture Transformer differenti, può essere sfidante crearne una per il tuo checkpoint. Come parte della filosofia centrale di 🤗 Transformers per rendere la libreria facile, semplice e flessibile da utilizzare, una <code>AutoClass</code> inferisce e carica automaticamente l’architettura corretta da un dato checkpoint. Il metodo <code>from_pretrained</code> ti permette di caricare velocemente un modello pre-allenato per qualsiasi architettura, così non devi utilizzare tempo e risorse per allenare un modello da zero. Produrre questo codice agnostico ai checkpoint significa che se il tuo codice funziona per un checkpoint, funzionerà anche per un altro checkpoint, purché sia stato allenato per un compito simile, anche se l’architettura è differente.",h,N,ge,L,Qe="In questo tutorial, imparerai a:",je,S,Be="<li>Caricare un tokenizer pre-allenato.</li> <li>Caricare un estrattore di caratteristiche (feature extractor, in inglese) pre-allenato.</li> <li>Caricare un processore pre-allenato.</li> <li>Caricare un modello pre-allenato.</li>",Me,W,V,fe,Y,qe,ce,Ke="AutoTokenizer",ke,I,De="Quasi tutti i compiti di NLP iniziano con un tokenizer. Un tokenizer converte il tuo input in un formato che possa essere elaborato dal modello.",Ce,Q,Oe="Carica un tokenizer con <code>AutoTokenizer.from_pretrained()</code>:",we,B,xe,K,et="Poi tokenizza il tuo input come mostrato in seguito:",_e,D,ze,F,R,he,O,Le,pe,tt="AutoFeatureExtractor",Ze,ee,at="Per compiti inerenti a audio e video, un feature extractor processa il segnale audio o l’immagine nel formato di input corretto.",Te,te,st="Carica un feature extractor con <code>AutoFeatureExtractor.from_pretrained()</code>:",Je,ae,Ae,H,P,de,se,Se,ue,nt="AutoProcessor",Ee,ne,lt='Compiti multimodali richiedono un processore che combini i due tipi di strumenti di elaborazione. Per esempio, il modello <a href="model_doc/layoutlmv2">LayoutLMV2</a> richiede un feature extractor per gestire le immagine e un tokenizer per gestire il testo; un processore li combina entrambi.',We,le,rt="Carica un processore con <code>AutoProcessor.from_pretrained()</code>:",Fe,re,He,U,G,$e,oe,Ye,me,ot="AutoModel",Ue,X,Ne,be,Ve;return j=new ye({}),N=new kt({props:{$$slots:{default:[wt]},$$scope:{ctx:J}}}),Y=new ye({}),B=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJ4bG0tcm9iZXJ0YS1iYXNlJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)`}}),D=new q({props:{code:"c2VxdWVuemElMjAlM0QlMjAlMjJJbiUyMHVuJTIwYnVjbyUyMG5lbCUyMHRlcnJlbm8lMjB2aXZldmElMjB1bm8lMjBIb2JiaXQuJTIyJTBBcHJpbnQodG9rZW5pemVyKHNlcXVlbnphKSk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequenza = <span class="hljs-string">&quot;In un buco nel terreno viveva uno Hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequenza))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">360</span>, <span class="hljs-number">51</span>, <span class="hljs-number">373</span>, <span class="hljs-number">587</span>, <span class="hljs-number">1718</span>, <span class="hljs-number">54644</span>, <span class="hljs-number">22597</span>, <span class="hljs-number">330</span>, <span class="hljs-number">3269</span>, <span class="hljs-number">2291</span>, <span class="hljs-number">22155</span>, <span class="hljs-number">18</span>, <span class="hljs-number">5</span>, <span class="hljs-number">2</span>],
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`}}),O=new ye({}),ae=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`}}),se=new ye({}),re=new q({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`}}),oe=new ye({}),X=new Ct({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Zt],pytorch:[_t]},$$scope:{ctx:J}}}),{c(){l=o("meta"),d=c(),r=o("p"),u=c(),m=o("h1"),f=o("a"),A=o("span"),C(j.$$.fragment),y=c(),T=o("span"),T.textContent=g,E=c(),M=o("p"),M.innerHTML=a,h=c(),C(N.$$.fragment),ge=c(),L=o("p"),L.textContent=Qe,je=c(),S=o("ul"),S.innerHTML=Be,Me=c(),W=o("h2"),V=o("a"),fe=o("span"),C(Y.$$.fragment),qe=c(),ce=o("span"),ce.textContent=Ke,ke=c(),I=o("p"),I.textContent=De,Ce=c(),Q=o("p"),Q.innerHTML=Oe,we=c(),C(B.$$.fragment),xe=c(),K=o("p"),K.textContent=et,_e=c(),C(D.$$.fragment),ze=c(),F=o("h2"),R=o("a"),he=o("span"),C(O.$$.fragment),Le=c(),pe=o("span"),pe.textContent=tt,Ze=c(),ee=o("p"),ee.textContent=at,Te=c(),te=o("p"),te.innerHTML=st,Je=c(),C(ae.$$.fragment),Ae=c(),H=o("h2"),P=o("a"),de=o("span"),C(se.$$.fragment),Se=c(),ue=o("span"),ue.textContent=nt,Ee=c(),ne=o("p"),ne.innerHTML=lt,We=c(),le=o("p"),le.innerHTML=rt,Fe=c(),C(re.$$.fragment),He=c(),U=o("h2"),G=o("a"),$e=o("span"),C(oe.$$.fragment),Ye=c(),me=o("span"),me.textContent=ot,Ue=c(),C(X.$$.fragment),Ne=c(),be=o("p"),this.h()},l(e){const n=Mt("svelte-1phssyn",document.head);l=i(n,"META",{name:!0,content:!0}),n.forEach(t),d=p(e),r=i(e,"P",{}),k(r).forEach(t),u=p(e),m=i(e,"H1",{class:!0});var ie=k(m);f=i(ie,"A",{id:!0,class:!0,href:!0});var ve=k(f);A=i(ve,"SPAN",{});var it=k(A);w(j.$$.fragment,it),it.forEach(t),ve.forEach(t),y=p(ie),T=i(ie,"SPAN",{"data-svelte-h":!0}),b(T)!=="svelte-39ehez"&&(T.textContent=g),ie.forEach(t),E=p(e),M=i(e,"P",{"data-svelte-h":!0}),b(M)!=="svelte-j1c1g2"&&(M.innerHTML=a),h=p(e),w(N.$$.fragment,e),ge=p(e),L=i(e,"P",{"data-svelte-h":!0}),b(L)!=="svelte-lz1oph"&&(L.textContent=Qe),je=p(e),S=i(e,"UL",{"data-svelte-h":!0}),b(S)!=="svelte-al227k"&&(S.innerHTML=Be),Me=p(e),W=i(e,"H2",{class:!0});var Re=k(W);V=i(Re,"A",{id:!0,class:!0,href:!0});var ct=k(V);fe=i(ct,"SPAN",{});var pt=k(fe);w(Y.$$.fragment,pt),pt.forEach(t),ct.forEach(t),qe=p(Re),ce=i(Re,"SPAN",{"data-svelte-h":!0}),b(ce)!=="svelte-5wpjmf"&&(ce.textContent=Ke),Re.forEach(t),ke=p(e),I=i(e,"P",{"data-svelte-h":!0}),b(I)!=="svelte-1m4wodb"&&(I.textContent=De),Ce=p(e),Q=i(e,"P",{"data-svelte-h":!0}),b(Q)!=="svelte-1jqstre"&&(Q.innerHTML=Oe),we=p(e),w(B.$$.fragment,e),xe=p(e),K=i(e,"P",{"data-svelte-h":!0}),b(K)!=="svelte-nf3ccy"&&(K.textContent=et),_e=p(e),w(D.$$.fragment,e),ze=p(e),F=i(e,"H2",{class:!0});var Pe=k(F);R=i(Pe,"A",{id:!0,class:!0,href:!0});var ut=k(R);he=i(ut,"SPAN",{});var mt=k(he);w(O.$$.fragment,mt),mt.forEach(t),ut.forEach(t),Le=p(Pe),pe=i(Pe,"SPAN",{"data-svelte-h":!0}),b(pe)!=="svelte-qfeipy"&&(pe.textContent=tt),Pe.forEach(t),Ze=p(e),ee=i(e,"P",{"data-svelte-h":!0}),b(ee)!=="svelte-upjht"&&(ee.textContent=at),Te=p(e),te=i(e,"P",{"data-svelte-h":!0}),b(te)!=="svelte-1imqvze"&&(te.innerHTML=st),Je=p(e),w(ae.$$.fragment,e),Ae=p(e),H=i(e,"H2",{class:!0});var Ge=k(H);P=i(Ge,"A",{id:!0,class:!0,href:!0});var ft=k(P);de=i(ft,"SPAN",{});var ht=k(de);w(se.$$.fragment,ht),ht.forEach(t),ft.forEach(t),Se=p(Ge),ue=i(Ge,"SPAN",{"data-svelte-h":!0}),b(ue)!=="svelte-yif3ge"&&(ue.textContent=nt),Ge.forEach(t),Ee=p(e),ne=i(e,"P",{"data-svelte-h":!0}),b(ne)!=="svelte-hgkuwq"&&(ne.innerHTML=lt),We=p(e),le=i(e,"P",{"data-svelte-h":!0}),b(le)!=="svelte-1fqg8an"&&(le.innerHTML=rt),Fe=p(e),w(re.$$.fragment,e),He=p(e),U=i(e,"H2",{class:!0});var Xe=k(U);G=i(Xe,"A",{id:!0,class:!0,href:!0});var dt=k(G);$e=i(dt,"SPAN",{});var $t=k($e);w(oe.$$.fragment,$t),$t.forEach(t),dt.forEach(t),Ye=p(Xe),me=i(Xe,"SPAN",{"data-svelte-h":!0}),b(me)!=="svelte-12n7lj"&&(me.textContent=ot),Xe.forEach(t),Ue=p(e),w(X.$$.fragment,e),Ne=p(e),be=i(e,"P",{}),k(be).forEach(t),this.h()},h(){$(l,"name","hf:doc:metadata"),$(l,"content",JSON.stringify(Jt)),$(f,"id","carica-istanze-preallenate-con-autoclass"),$(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(f,"href","#carica-istanze-preallenate-con-autoclass"),$(m,"class","relative group"),$(V,"id","autotokenizer"),$(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(V,"href","#autotokenizer"),$(W,"class","relative group"),$(R,"id","autofeatureextractor"),$(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(R,"href","#autofeatureextractor"),$(F,"class","relative group"),$(P,"id","autoprocessor"),$(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(P,"href","#autoprocessor"),$(H,"class","relative group"),$(G,"id","automodel"),$(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),$(G,"href","#automodel"),$(U,"class","relative group")},m(e,n){v(document.head,l),s(e,d,n),s(e,r,n),s(e,u,n),s(e,m,n),v(m,f),v(f,A),x(j,A,null),v(m,y),v(m,T),s(e,E,n),s(e,M,n),s(e,h,n),x(N,e,n),s(e,ge,n),s(e,L,n),s(e,je,n),s(e,S,n),s(e,Me,n),s(e,W,n),v(W,V),v(V,fe),x(Y,fe,null),v(W,qe),v(W,ce),s(e,ke,n),s(e,I,n),s(e,Ce,n),s(e,Q,n),s(e,we,n),x(B,e,n),s(e,xe,n),s(e,K,n),s(e,_e,n),x(D,e,n),s(e,ze,n),s(e,F,n),v(F,R),v(R,he),x(O,he,null),v(F,Le),v(F,pe),s(e,Ze,n),s(e,ee,n),s(e,Te,n),s(e,te,n),s(e,Je,n),x(ae,e,n),s(e,Ae,n),s(e,H,n),v(H,P),v(P,de),x(se,de,null),v(H,Se),v(H,ue),s(e,Ee,n),s(e,ne,n),s(e,We,n),s(e,le,n),s(e,Fe,n),x(re,e,n),s(e,He,n),s(e,U,n),v(U,G),v(G,$e),x(oe,$e,null),v(U,Ye),v(U,me),s(e,Ue,n),x(X,e,n),s(e,Ne,n),s(e,be,n),Ve=!0},p(e,[n]){const ie={};n&2&&(ie.$$scope={dirty:n,ctx:e}),N.$set(ie);const ve={};n&2&&(ve.$$scope={dirty:n,ctx:e}),X.$set(ve)},i(e){Ve||(_(j.$$.fragment,e),_(N.$$.fragment,e),_(Y.$$.fragment,e),_(B.$$.fragment,e),_(D.$$.fragment,e),_(O.$$.fragment,e),_(ae.$$.fragment,e),_(se.$$.fragment,e),_(re.$$.fragment,e),_(oe.$$.fragment,e),_(X.$$.fragment,e),Ve=!0)},o(e){z(j.$$.fragment,e),z(N.$$.fragment,e),z(Y.$$.fragment,e),z(B.$$.fragment,e),z(D.$$.fragment,e),z(O.$$.fragment,e),z(ae.$$.fragment,e),z(se.$$.fragment,e),z(re.$$.fragment,e),z(oe.$$.fragment,e),z(X.$$.fragment,e),Ve=!1},d(e){e&&(t(d),t(r),t(u),t(m),t(E),t(M),t(h),t(ge),t(L),t(je),t(S),t(Me),t(W),t(ke),t(I),t(Ce),t(Q),t(we),t(xe),t(K),t(_e),t(ze),t(F),t(Ze),t(ee),t(Te),t(te),t(Je),t(Ae),t(H),t(Ee),t(ne),t(We),t(le),t(Fe),t(He),t(U),t(Ue),t(Ne),t(be)),t(l),Z(j),Z(N,e),Z(Y),Z(B,e),Z(D,e),Z(O),Z(ae,e),Z(se),Z(re,e),Z(oe),Z(X,e)}}}const Jt={local:"carica-istanze-preallenate-con-autoclass",sections:[{local:"autotokenizer",title:"AutoTokenizer"},{local:"autofeatureextractor",title:"AutoFeatureExtractor"},{local:"autoprocessor",title:"AutoProcessor"},{local:"automodel",title:"AutoModel"}],title:"Carica istanze pre-allenate con AutoClass"};function At(J){return yt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vt extends gt{constructor(l){super(),jt(this,l,At,Tt,vt,{})}}export{Vt as component};
